Subject: Re: bug#17806: 24.4.50; Branch emacs-24 fails to beuild on Debian

From: Dmitry Antipov <[email-masked]>
Date: Tue, 24 Jun 2014 18:56:22 +0400

On 06/20/2014 09:15 PM, Glenn Morris wrote:

> Why does Emacs even have --enable-link-time-optimization as a configure
> option? Does it provide any measurable benefit? (Apart from "crashes a
> lot"? :) ) Should the configure option description add a general warning?

BTW, RedHat's compiler engineer claims that LTO has made substantial progress
in gcc-4.9: http://vmakarov.fedorapeople.org/spec/2014/2014.html

(from https://gcc.gnu.org/ml/gcc/2014-06/msg00254.html).

Dmitry